Subject: Re: bug#22948: Porting ocl-icd to guix fails because of ruby

From: Dennis Mungai <[email-masked]>
Date: Thu, 10 Mar 2016 15:18:17 +0300

Hello,

And a small update:

After running the garbage collector, the problem went away (And saved me
about 20GBs under /gnu/store).

I'm suspecting this was a corrupt store.

On 9 March 2016 at 16:33, Ludovic Courtès <[email-masked]> wrote:

> Dennis Mungai <[email-masked]> skribis:
>
> > env TEMPDIR=/gnu/tmp GUIX_PACKAGE_PATH=../guix-bioinformatics
> > ./pre-inst-env guix build -K ocl-icd
>
> Note that setting TEMPDIR here (or even TMPDIR) has no effect, since
> it’s the ‘guix-daemon’ process, not ‘guix build’, that creates temporary
> files.
>
> > Error encountered:
> >
> > guix build: error: build failed: error parsing derivation
> > `/gnu/store/7f9hwk8v9vzghc93m93y94iibvcc3mvd-ruby-2.3.0.tar.xz.drv':
> > expected string `Derive(['
>
> Could you send the content of the file above?
>
> It looks like your store may be be corrupt.  Did you modify files by
> hand under /gnu/store?  This would void your warranty.  :-)
>
> Thanks,
> Ludo’.
>